ofhttp(1)

NAME
ofhttp - perform HTTP and HTTPS requests and download files

SYNOPSIS
ofhttp [options] iri1 [iri2 ...]

DESCRIPTION
ofhttp is a program to perform HTTP and HTTPS requests and download files.

OPTIONS

-b file, --body=file
    Specify the file to send as body (- for standard input).

-c, --continue
    Continue download of existing file.

-f, --force
    Force / overwrite existing file.

-h, --help
    Show the help.

-H header, --header=header
    Add a header (e.g. X-Foo:Bar).

-m method, --method=method
    Set the method of the HTTP request.

-o file, --output=file
    Specify the output file name.

-O, --detect-filename
    Do a HEAD request to detect the file name.

-P proxy, --proxy=proxy
    Specify SOCKS5 proxy.

-q, --quiet
    Quiet mode (no output, except errors).

-v, --verbose
    Verbose mode (print headers).

--insecure
    Ignore TLS errors and allow insecure redirects.

--ignore-status
    Ignore HTTP status code.

EXAMPLES
Download https://example.com/testfile.bin:

    ofhttp https://example.com/testfile.bin

Download https://example.com/testfile.bin via Tor:

    ofhttp -P 127.0.0.1:9050 https://example.com/testfile.bin

Send a POST request to an endpoint expecting JSON and only print the response:

    echo '{"a":"b"}' | ofhttp -mPOST -b- -qo- https://example.com/json